<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ZoneList StructType
 * @subpackage Structs
 */
class ZoneList extends AbstractStructBase
{
    /**
     * The ZoneListRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ZoneListRQ
     */
    public $ZoneListRQ;
    /**
     * Constructor method for ZoneList
     * @uses ZoneList::setZoneListRQ()
     * @param \StructType\JP_ZoneListRQ $zoneListRQ
     */
    public function __construct(\StructType\JP_ZoneListRQ $zoneListRQ = null)
    {
        $this
            ->setZoneListRQ($zoneListRQ);
    }
    /**
     * Get ZoneListRQ value
     * @return \StructType\JP_ZoneListRQ|null
     */
    public function getZoneListRQ()
    {
        return $this->ZoneListRQ;
    }
    /**
     * Set ZoneListRQ value
     * @param \StructType\JP_ZoneListRQ $zoneListRQ
     * @return \StructType\ZoneList
     */
    public function setZoneListRQ(\StructType\JP_ZoneListRQ $zoneListRQ = null)
    {
        $this->ZoneListRQ = $zoneListRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ZoneList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
